Update team
curl --request PATCH \
--url https://api.openworklabs.com/v1/teams/{teamId} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"memberIds": [
"<string>"
]
}
'import requests
url = "https://api.openworklabs.com/v1/teams/{teamId}"
payload = {
"name": "<string>",
"memberIds": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', memberIds: ['<string>']})
};
fetch('https://api.openworklabs.com/v1/teams/{teamId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"team": {
"id": "<string>",
"organizationId": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"memberIds": [
"<string>"
]
}
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Teams
Update team
Updates a team’s name and-or membership list within an organization.
PATCH
/
v1
/
teams
/
{teamId}
Update team
Path Parameters
Den TypeID with 'tem_' prefix and a 26-character base32 suffix.
Required string length:
30Pattern:
^tem_.*Body
application/json
Response
Team updated successfully.
Show child attributes
Show child attributes
Was this page helpful?
⌘I